Linux 5.8
[sfrench/cifs-2.6.git] / scripts / gcc-version.sh
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-2.0
3 #
4 # gcc-version gcc-command
5 #
6 # Print the gcc version of `gcc-command' in a 5 or 6-digit form
7 # such as `29503' for gcc-2.95.3, `30301' for gcc-3.3.1, etc.
8
9 compiler="$*"
10
11 if [ ${#compiler} -eq 0 ]; then
12         echo "Error: No compiler specified." >&2
13         printf "Usage:\n\t$0 <gcc-command>\n" >&2
14         exit 1
15 fi
16
17 MAJOR=$(echo __GNUC__ | $compiler -E -x c - | tail -n 1)
18 MINOR=$(echo __GNUC_MINOR__ | $compiler -E -x c - | tail -n 1)
19 PATCHLEVEL=$(echo __GNUC_PATCHLEVEL__ | $compiler -E -x c - | tail -n 1)
20 printf "%d%02d%02d\\n" $MAJOR $MINOR $PATCHLEVEL